- Qt 5.15
- Qt Core
- C++ Classes
- QStateMachine
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QStateMachine

The following members of class QStateMachine are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | QStateMachine(QState::ChildMode childMode, QObject *parent = nullptr)

## Member Function Documentation

### QStateMachine::QStateMachine(QState::ChildMode childMode, QObject *parent = nullptr)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Constructs a new state machine with the given childMode and parent.

Warning: Do not set the childMode to anything else than ExclusiveStates, otherwise the state machine is invalid, and might work incorrectly.

This function was introduced in Qt 5.0.